Subject: bug#38549: closed (Re: bug#39075: 28.0.50; Emacs hangs on 100% CPU and grows beyond bounds in shell-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Jan 2020 09:58:03 +0000

Your bug report

#39075: 27.0.50; Infloop when doing completion-at-point in shell-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39075: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39075
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39075: 28.0.50; Emacs hangs on 100% CPU and grows beyond bounds in shell-mode
From: Eli Zaretskii <[email-masked]>
To: Pieter van Oostrum <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 18 Jan 2020 11:57:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Pieter van Oostrum <[email-masked]>
> Date: Thu, 16 Jan 2020 20:21:37 +0100
> Cc: [email-masked]
> 
> Pieter van Oostrum <[email-masked]> writes:
> 
> > Michael Welsh Duggan <[email-masked]> writes:
> >
> >> This seems very similar to the bug I reported at bug#38549.  Could you
> >> see if this also fixes that recipe and, if so, merge the bugs?
> >>
> > Yes, the same fix solves that bug also. It is the same bug.
> 
> I propose to amend the test also, so that it would have caught this error (by hanging). I add both patches here now. I have tested that all other things worked the same and found no problems.

Thanks, pushed to the release branch.

> Is there an official procedure for requesting the change, or is posting it here sufficient?

It is sufficient to post here, but:

 . please in the future provide a ChangeLog-style commit log message
   (see CONTRIBUTE for more about this);
 . it looks like the disclaimer of your employer has expired several
   years ago, so if you want to continue contributing to Emacs, I
   suggest to start/renew your legal paperwork.

Subject: 27.0.50; Infloop when doing completion-at-point in shell-mode
From: Michael Welsh Duggan <[email-masked]>
To: [email-masked]
Date: Mon, 09 Dec 2019 11:48:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hitting TAB after a semicolon in a shell buffer causes an infloop in
`shell--parse-pcomplete-arguments'.

emacs -Q
M-x shell RET
; TAB

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit)
 of 2019-12-09 built on pd4.ta.sei.cmu.edu
Repository revision: bb8f46d55bb369589ae475e47ad948da88c0d31d
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Red Hat Enterprise Linux Server 7.6 (Maipo)

Configured using:
 'configure --without-toolkit-scroll-bars --with-wide-int
 --prefix=/home/mwd/ --with-jpeg=ifavailable
 PKG_CONFIG_PATH=/opt/rh/devtoolset-8/root/usr/lib64/pkgconfig'

Configured features:
XAW3D XPM TIFF GIF PNG SOUND GSETTINGS GLIB NOTIFY INOTIFY LIBSELINUX
GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB LUCID X11 XDBE
XIM MODULES THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

-- 
Michael Welsh Duggan
([email-masked])